<?php

if(empty($_REQUEST['manufacturer_id'])) {
    echo "Please go through search page. (or redirect)";
    exit();
}

$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

$mysql = new mysqli(
    $host,
    $userid,
    $userpw,
    $db
);

if($mysql->connect_errno) {
    echo "db connection error : " . $mysql->connect_error;
    exit();
}
?>
<html>

<head lang="en">

    <meta charset="UTF-8">

    <title>Acad276 Practical Exam: Results</title>

    <style>

        .container {

            width:  600px;

            margin: auto;

        }

        h1 {

            margin: auto;

            text-align: center;

            background-color:   #900;

            color:  #FC0;

            height: 60px;

            line-height: 60px;

        }

        .num-results {

            margin: 20px 10px;

        }

        table {

            margin: auto;

            margin-bottom: 20px;

            width:  80%;

            border-collapse: collapse;

        }

        th, td {

            border: 1px solid #900;

            border-collapse: collapse;

            padding:    10px;

            text-align: center;

        }

        img {

            width: 100px;

        }

        .nav-link{

            margin: 10px 0px;

            font-size: 14px;

        }

    </style>

</head>

<body>

<?php
$sql = 	"SELECT device_id, name, price, manufacturer, system, type FROM devices, manufacturers, systems, types WHERE 1=1 
AND devices.manufacturer_id = manufacturers.manufacturer_id 
AND devices.system_id = systems.system_id 
AND devices.type_id = types.type_id";

$sql .= " AND name LIKE '%" .
    $_REQUEST['device_name'] . "%'";
if($_REQUEST['manufacturer_id'] != "ALL") {
    $sql .= " AND manufacturer ='" . $_REQUEST["manufacturer_id"] . "'";
}
if($_REQUEST['system_id'] != "ALL") {
    $sql .= " AND system = '" . $_REQUEST["system_id"] . "'";
}
if($_REQUEST['type_id'] != "ALL") {
    $sql .= " AND type = '" . $_REQUEST["type_id"] . "'";
}

$results = $mysql->query($sql);

if(!$results) {
    echo "<hr>Your SQL:<br> " . $sql . "<br><br>";
    echo "SQL Error: " . $mysql->error . "<hr>";
    exit();
}
?>

<div class="container">

    <h1>Mobile Device Database: Search Results</h1>

    <div class="nav-link">

        <a href="search.php"><< Back to Search Page</a>

    </div>

    <div class="num-results">
        <?php
        echo "Your search returned <strong>" . $results->num_rows . "</strong> results.";
        echo "<br>";
        ?>
    </div>

    <table>
        <tr>
            <th>Name</th>
            <th>Price</th>
            <th>Manufacturer</th>
            <th>System</th>
            <th>Type</th>
        </tr>

<!--        <tr>-->
            <?php
                while($currentrow = $results->fetch_assoc()) {
                    echo "<tr><td><a href = 'details.php?id=" . $currentrow["device_id"] . "'>" . $currentrow["name"] . "</a></td>";
                    echo "<td>" . $currentrow["price"] . "</td>";
                    echo "<td>" . $currentrow["manufacturer"] . "</td>";
                    echo "<td>" . $currentrow["system"] . "</td>";
                    echo "<td>" . $currentrow["type"] . "</td></tr>";
                }
            ?>


    </table>

</div>

</body>

</html>